Windows 10 really necessary for Cubase 11?

Hi there, I’m still running 10.5.2 Pro on my windows 8.1 machine. Is it really necessary to run Windows 10 for upgrading to Cubase 11?

Thnx in advance, Grey

Hi Grey,
I’m running Windows 8.1 and successfully upgraded from 10.5 to Cubase 11 Pro.
Once upgraded, I had an issue applying 11.0.10 patch: the standalone updater reports, confusingly, that I’m running on an unsupported OS (though it then says Windows 8.1 or greater is required).
I did successfully patch to 11.0.10 using the Download Assistant though.

So yes, Cubase 11 Pro works for me on Windows 8.1

Cheers,
Simon